de.vc.jfo.rtf

## Class UnresolvedCompareField

- java.lang.Object
- - de.vc.xml.AbstractNode
  - - de.vc.xml.AbstractNodeWithAttributes
    - - de.vc.xml.DefaultNode
      - - de.vc.jfo.rtf.UnresolvedCompareField

- All Implemented Interfaces:
    Node, NodeElement, java.io.Serializable, java.lang.Cloneable

      public class UnresolvedCompareField
      extends DefaultNode

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class de.vc.xml.AbstractNodeWithAttributes

      `MAP_TYPE_FLYWEIGHT, MAP_TYPE_HASH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnresolvedCompareField(FieldInfo fieldInfo)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clones this element.
    `FieldInfo` | `getFieldInfo()`
    `protected void` | `replaceWith(FieldInstructionToken instruction)`
    `void` | `resolve()`

    - ### Methods inherited from class de.vc.xml.DefaultNode

      `add, add, addElement, addElement, createAndAddChild, getElements, remove, removeElement, removeElement, replaceElement, setElement`

    - ### Methods inherited from class de.vc.xml.AbstractNodeWithAttributes

      `doGetAttribute, doSetAttribute, getAttributeMap, getDefaultMapType, getDefinedAttributes, setDefaultMapType`

    - ### Methods inherited from class de.vc.xml.AbstractNode

      `addAttributeChangeListener, addElements, addElements, clearEqualAttributes, clearInheratedAttribute, clearInheratedAttributes, clearValue, contains, contains, copyAttributes, createID, findFirstNodeWithText, findNode, findNodesWithText, fire, fireSaxEvents, firstElement, getAttrAsBoolean, getAttrAsInteger, getAttrAsString, getAttrAsString, getAttribute, getAttribute, getAttributeMap, getContentText, getContentText, getDefinedAttributes, getElements, getElements, getElements, getFirstElement, getIndex, getLocalName, getNamespacePrefix, getNamespacePrefixes, getNamespaceURI, getParent, getParent, getParent, getParentOrThis, getQName, getRoot, hasEqualAttrs, indexOf, isEmpty, lastElement, liftInheritedAttribute, removeAttributeChangeListener, setAttribute, setAttributes, setAttrIfNotNull, setEnableAttributeChangeEvent, setNamespace, setParent, setQName, setUndefinedAttributes, writeTo, writeTo, writeTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnresolvedCompareField

          public UnresolvedCompareField(FieldInfo fieldInfo)

  - ### Method Detail

    - #### resolve

          public void resolve()

    - #### getFieldInfo

          public FieldInfo getFieldInfo()

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Description copied from interface: `NodeElement`
      Clones this element. Should return a deep copy!
      Specified by:
        `clone` in interface `NodeElement`
      Overrides:
        `clone` in class `DefaultNode`
      Returns:
        Clone.
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### replaceWith

          protected void replaceWith(FieldInstructionToken instruction)

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.